/*
 * Copyright 2007-2017 University of New Hampshire Interoperability Laboratory
 * All rights reserved.
 *
 * This file is part of the UNH EXS implementation of the
 * Consortium Specification: Extended Sockets API (ES-API) Issue 1.0,
 * Document Number C050 published by The Open Group, January 2005,
 * and copyright 2005 by The Open Group.
 *
 * This software is available to you under a choice of one of two
 * licenses.  You may choose to be licensed under the terms of the GNU
 * General Public License (GPL) Version 2, available from the file
 * COPYING.GPL in the main directory of this source tree, or the
 * BSD license, available from the file COPYING.BSD in the main directory
 * of this source tree.
 *
 * This material is based upon work supported by the National Science
 * Foundation under Grants No. OCI-1127228 and DGE-0913620.
 *
 * Any opinions, findings, and conclusions or recommendations
 * expressed in this material are those of the authors and do not
 * necessarily reflect the views of the National Science Foundation.
 */

#ifndef _EXS_SEND_SETUP_H
#define _EXS_SEND_SETUP_H


static inline int ok_exs_send(param * p)
{
	char *name = "ok_exs_send";

	int ret =
	    exs_send(p->fd, p->send_buf, p->SEND_BUFSIZE, p->flags, p->qh,
		     p->ah, p->mh);

	if (p->mode == 0) {
		if (ret < p->SEND_BUFSIZE) {
			print_error(name);
			return -1;
		}
	}

	if (p->mode > 0) {
		if (ret < 0) {
			print_error(name);
			return -1;
		}
	}
	return ret;

}

#endif
